Plesk\backup\Agent\Schema\Backup\Admin\AdminAType:
    properties:
        id:
            expose: true
            access_type: public_method
            serialized_name: id
            accessor:
                getter: getId
                setter: setId
            xml_attribute: true
            type: string
        guid:
            expose: true
            access_type: public_method
            serialized_name: guid
            accessor:
                getter: getGuid
                setter: setGuid
            xml_attribute: true
            type: string
        name:
            expose: true
            access_type: public_method
            serialized_name: name
            accessor:
                getter: getName
                setter: setName
            xml_attribute: true
            type: string
        externalId:
            expose: true
            access_type: public_method
            serialized_name: external-id
            accessor:
                getter: getExternalId
                setter: setExternalId
            xml_attribute: true
            type: string
        skin:
            expose: true
            access_type: public_method
            serialized_name: skin
            accessor:
                getter: getSkin
                setter: setSkin
            xml_attribute: true
            type: string
        maxButtonLength:
            expose: true
            access_type: public_method
            serialized_name: max-button-length
            accessor:
                getter: getMaxButtonLength
                setter: setMaxButtonLength
            xml_attribute: true
            type: string
        sendAnnounce:
            expose: true
            access_type: public_method
            serialized_name: send-announce
            accessor:
                getter: getSendAnnounce
                setter: setSendAnnounce
            xml_attribute: true
            type: string
        resellers:
            expose: true
            access_type: public_method
            serialized_name: resellers
            xml_element:
                cdata: false
            accessor:
                getter: getResellers
                setter: setResellers
            type: array<Plesk\backup\Agent\Schema\Backup\ResellerInfo>
            xml_list:
                inline: false
                entry_name: reseller-info
                skip_when_empty: true
        clients:
            expose: true
            access_type: public_method
            serialized_name: clients
            xml_element:
                cdata: false
            accessor:
                getter: getClients
                setter: setClients
            type: array<Plesk\backup\Agent\Schema\Backup\ClientInfo>
            xml_list:
                inline: false
                entry_name: client-info
                skip_when_empty: true
        domains:
            expose: true
            access_type: public_method
            serialized_name: domains
            xml_element:
                cdata: false
            accessor:
                getter: getDomains
                setter: setDomains
            type: array<Plesk\backup\Agent\Schema\Backup\DomainInfo>
            xml_list:
                inline: false
                entry_name: domain-info
                skip_when_empty: true
        users:
            expose: true
            access_type: public_method
            serialized_name: users
            xml_element:
                cdata: false
            accessor:
                getter: getUsers
                setter: setUsers
            type: array<Plesk\backup\Agent\Schema\Backup\User>
            xml_list:
                inline: false
                entry_name: user
                skip_when_empty: true
        roles:
            expose: true
            access_type: public_method
            serialized_name: roles
            xml_element:
                cdata: false
            accessor:
                getter: getRoles
                setter: setRoles
            type: array<Plesk\backup\Agent\Schema\Backup\Role>
            xml_list:
                inline: false
                entry_name: role
                skip_when_empty: true
        preferences:
            expose: true
            access_type: public_method
            serialized_name: preferences
            xml_element:
                cdata: false
            accessor:
                getter: getPreferences
                setter: setPreferences
            type: Plesk\backup\Agent\Schema\Backup\Admin\AdminAType\PreferencesAType
        properties:
            expose: true
            access_type: public_method
            serialized_name: properties
            xml_element:
                cdata: false
            accessor:
                getter: getProperties
                setter: setProperties
            type: Plesk\backup\Agent\Schema\Backup\Admin\AdminAType\PropertiesAType
        limitsAndPermissions:
            expose: true
            access_type: public_method
            serialized_name: limits-and-permissions
            xml_element:
                cdata: false
            accessor:
                getter: getLimitsAndPermissions
                setter: setLimitsAndPermissions
            type: array<Plesk\backup\Agent\Schema\Backup\Permission>
            xml_list:
                inline: false
                entry_name: permission
                skip_when_empty: true
        serviceNodes:
            expose: true
            access_type: public_method
            serialized_name: service-nodes
            xml_element:
                cdata: false
            accessor:
                getter: getServiceNodes
                setter: setServiceNodes
            type: Plesk\backup\Agent\Schema\Backup\ServiceNodes
        adminAliases:
            expose: true
            access_type: public_method
            serialized_name: admin-aliases
            xml_element:
                cdata: false
            accessor:
                getter: getAdminAliases
                setter: setAdminAliases
            type: array<Plesk\backup\Agent\Schema\Backup\AdminAlias>
            xml_list:
                inline: false
                entry_name: admin-alias
                skip_when_empty: true
